<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos - Tela de login";
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$nivel=$sessao->getVar('nivel');
//echo(" Operador: $nomeOperador<br>");

switch ($tela):
    case 'incluir':
	    $duplicado = FALSE;
        echo '<h2>Incluir um tratamento no cadastro</h2>';
        if (isset($_POST['bt_cadastrar'])):
            $user = new kittratamento(array(
                'kit_labo'=>$idLabo,
                'kit_conteudo150a'=>$_POST['kit_conteudo150a'],
				'kit_conteudo150b'=>$_POST['kit_conteudo150b'],
				'kit_conteudo150c'=>$_POST['kit_conteudo150c'],
				'kit_conteudo150d'=>$_POST['kit_conteudo150d'],
                'kit_sigla'=>$_POST['sigla'],
            ));
            //aqui confere para ver se ja tem o crea mas poderia testar outras coisas para evitar 
			//duplicação mas pode ter duplicado pois 2 lab s podem analisar par ao memso remetente
            if ($user->existeRegistro('kit_sigla',$_POST['sigla'])):
               // printMSG('Este crea já está cadastrado, escolha outro endereço.','erro');
                //$duplicado = TRUE;
            endif;
			//echo("duplicado = $duplicado <br>");
            if ($duplicado!=TRUE):
                 $user->inserir($user);
                 $jaco=$user->linhasafetadas;//aqui ele ja me traz o id do cliente. pode ser que eu va precisar isso!!!!
			     //echo("duplicado = $duplicado  jaco=$jaco <br>");
                if ($user->linhasafetadas>0):
                    printMSG('Dados inseridos com sucesso. <a href="'.ADMURL.'?m=kittratamentos&t=listar">Exibir cadastros</a>');
                    unset($_POST);
                endif;
            endif;            
        endif;
        ?>
        <script type="text/javascript">
           $(document).ready(function(){
               $(".userform").validate({
                   rules:{
                       kit_sigla:{required:true, minlength:3},
                   }
               });
           });
       </script>
        <form class="userform" method="post" action="">
            <fieldset>
                <legend>Informe os dados para cadastro</legend>
                     <table>
					 
					<tr>
                    <td>
					   Sigla:<input type="text" size="40"  maxlength="25" name="sigla" autofocus="autofocus" value="<?php if($resbd) echo $resbd->kit_sigla; ?>" />
					   </td>
					</tr>
					
					<tr><!--computador cria uma linha por favor-->
                       <td>Tratamento:Produto/princípio ativo/dose</td>
					</tr><!--computador aqui fecha a linha-->
					
					<tr>
					  <td>
					    <input type="text" name="kit_conteudo150a" size="100" maxlength="150" value="<?php if($resbd) echo $resbd->kit_conteudo150a; ?>" />
					  </td>
					</tr>
					
					<tr>
					  <td>
					    <input type="text" name="kit_conteudo150b" size="100" maxlength="150" value="<?php if($resbd) echo $resbd->kit_conteudo150b; ?>" />
					  </td>
					</tr>
					
					<tr>
					  <td>
					    <input type="text" name="kit_conteudo150c" size="100" maxlength="150" value="<?php if($resbd) echo $resbd->kit_conteudo150c; ?>" />
					  </td>
					</tr>
					
				    <tr>
					  <td>
					    <input type="text" name="kit_conteudo150d" size="100" maxlength="150" value="<?php if($resbd) echo $resbd->kit_conteudo150d; ?>" />
					  </td>
					</tr>

					</table>
						Orientação: Os tratamentos são constituidos as vezes por varios produtos, principio ativo e dosagem. Cada tipo de tratamento pode ser gravado e chamado por uma sigla com 25 letras exemplo:Captan+Thiran(completo)O tratamento em si pode conter até 500 caracteres.<bR>
						Cuidado:Não mude esta sigla se ela ja foi gravada nalguma amostra, do contrário o programa perde a consistencia. Por final, em cada final de linha tecle enter para o computador imprimir da forma que foi digitado, ou seja, o salto de linha ocorrerá exatamente onde foi dado enter ao digitar o texto. Lembre-se que a primeira linha é ligeiramente menor porque ao ser impressa, vai este título antes desta linha:["Produto/princípio ativo/dose:"]
						
                    <ul>
                    <li class="center">
					<input type="button" onclick="location.href='?m=kittratamentos&t=listar'" value="Cancelar" />
					
					<input type="submit" name="bt_cadastrar" value="Salvar dados" />
					
					
					</li>
                </ul>
            </fieldset>
        </form>
        <?php
        break;//final do case incluir


    case 'listar':
        echo '<h2>Tratamentos  cadastrados. Obs.:Escolha/crie uma sigla que possa identificar o tratamento.</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Sigla do tratamento</th><th>Ações</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new kittratamento();
				$user->extras_select = "WHERE kit_labo=$idLabo order by kit_sigla ";

                $user->selecionaTudo($user);
				$contador=0;
                
				while ($res = $user->retornaDados()):
                    $contador++;
				    echo '<tr>';
                    printf('<td>%s</td>',$res->kit_sigla);
                    printf('<td class="center"><a href="?m=kittratamentos&t=incluir" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a> <a href="?m=kittratamentos&t=editar&id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a> </td>',$res->kit_id,$res->kit_id);
                    echo '</tr>';
                endwhile;  
				if($contador==0):
                printf('<td>%s</td>','Clique no sinal + ');
				//printf('<td class="center"><a href="?m=kittratamentos&t=incluir" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a> <a href="?m=kittratamentos&t=editar&id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a> </td>',$res->kit_id,$res->kit_id)
				printf('<td class="center"><a href="?m=kittratamentos&t=incluir" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a>
				 </td>');
				
				
				
				endif;
				              
                ?>
            </tbody>
        </table>
        
        <?php        
    break;//final do case listar


    case 'editar':
        echo '<h2>Edição de tratamento químico dado na semente a nivel de fazenda</h2>';
        $sessao = new sessao();
		if(isset($_POST['manual'])):
	       echo '<iframe src="manual2010.php?opcaoManual=editartratamento" style="border:0" width="100%" height="350"></iframe>';//funciona
 	    endif;	

            if (isset($_GET['id'])):
                $id = $_GET['id'];
				$arquivo='a'.$id.'.JPG';
                if (isset($_POST['editar'])):
                    $user = new kittratamento(array(
                        'kit_sigla'=>$_POST['sigla'],
                        'kit_conteudo150a'=>$_POST['kit_conteudo150a'],
						'kit_conteudo150b'=>$_POST['kit_conteudo150b'],
						'kit_conteudo150c'=>$_POST['kit_conteudo150c'],
						'kit_conteudo150d'=>$_POST['kit_conteudo150d'],
                    ));
                    $user->valorpk = $id;
                    $user->extras_select = "WHERE kit_id=$id";
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();
                    if ($res->kit_sigla != $_POST['sigla']):
                        if ($user->existeRegistro('kit_sigla',$_POST['sigla'])):
                           // printMSG('Este crea já existe no sistema, escolha outro endereço!','erro');
                           // $duplicado = TRUE;
                        endif;
                    endif;
                    if ($duplicado!=TRUE):
                        $user->atualizar($user);
                        if ($user->linhasafetadas==1):
                            printMSG('Dados alterados com sucesso. <a href="?m=kittratamentos&t=listar">Exibir cadastros</a>');
                            unset($_POST);
                        else:
                            printMSG('Nenhum dado foi alterado. <a href="?m=kittratamentos&t=listar">Exibir cadastros</a>','alerta');
                        endif;
                    endif;                    
                endif;
                $userbd = new kittratamento();
                $userbd->extras_select = "WHERE kit_id=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
				$sigla=$resbd->kit_sigla;

				
				
            else:
                printMSG('cliente não definido, <a href="?m=kittratamentos&t=listar">escolha um cliente para alterar</a>','erro');
            endif;
            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           kit_nome:{required:true, minlength:3},
                       }
                   });
               });
           </script>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para alteração</legend>
                    <table>
					<tr>
                      <td>Sigla:
					  <input type="text" size="40"  maxlength="25"  name="sigla" autofocus="autofocus" value="<?php if($resbd) echo $resbd->kit_sigla; ?>" />
					  <font color="red">Cuidado:Não mude esta sigla se ela ja foi gravada nalguma amostra. Do contrário o programa perderá a vinculação nas amostras cuja sigla tenha sido editada, ou seja, a sigla é justamente a referencia para vincular o texto maior.</font>
					  
					  </td>
					</tr>
					<tr>
                    <td>Tratamento:Produto/princípio ativo/dose
					<tr>
					  <td>
					    <input type="text" name="kit_conteudo150a" size="100" maxlength="150" value="<?php if($resbd) echo $resbd->kit_conteudo150a; ?>" />
					  </td>
					</tr>
					
					<tr>
					  <td>
					    <input type="text" name="kit_conteudo150b" size="100" maxlength="150" value="<?php if($resbd) echo $resbd->kit_conteudo150b; ?>" />
					  </td>
					</tr>
					
					<tr>
					  <td>
					    <input type="text" name="kit_conteudo150c" size="100" maxlength="150" value="<?php if($resbd) echo $resbd->kit_conteudo150c; ?>" />
					  </td>
					</tr>
					
				    <tr>
					  <td>
					    <input type="text" name="kit_conteudo150d" size="100" maxlength="150" value="<?php if($resbd) echo $resbd->kit_conteudo150d; ?>" />
					  </td>
					</tr>

					</table>
					Orientação: Os tratamentos são constituidos as vezes por varios produtos, principio ativo e dosagem. Cada tipo de tratamento pode ser gravado e chamado por uma sigla com 25 letras exemplo:Captan+Thiran(completo)O tratamento em si pode conter até 500 caracteres.<br>
Cuidado:Não mude esta sigla se ela ja foi gravada nalguma amostra, do contrário o programa perde a consistencia. Por final, em cada final de linha tecle enter para o computador imprimir da forma que foi digitado, ou seja, o salto de linha ocorrerá exatamente onde foi dado enter ao digitar o texto. Lembre-se que a primeira linha é ligeiramente menor porque ao ser impressa, vai este título antes desta linha:["Produto/princípio ativo/dose:"]
					<ul>
                    <li class="center"><input type="button" onclick="location.href='?m=kittratamentos&t=listar'" value="Cancelar" />
					<input type="submit" name="editar" value="Salvar Alterações" />
					<input type="submit" name="manual" value="Ajuda" /></li>

                    </ul>
                </fieldset>
            </form>
        <?php
    break;//case editar
	
	
 
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>